%define base_name	daemon
%define short_name	commons-%{base_name}
%define name		jakarta-%{short_name}
%define cvsdate		20030227
%define version		1.0.cvs%{cvsdate}
%define release		5jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Jakarta Commons Daemon Package
License:	Apache Software License
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{short_name}-src-%{cvsdate}.tar.gz
Patch:	%{short_name}.patch
Url:		http://jakarta.apache.org/commons/%{base_name}
BuildRequires:	ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Provides:	%{short_name}
Obsoletes:	%{short_name}

%description
The scope of this package is to define an API in line with the
current Java(tm) Platform APIs to support an alternative invocation
mechanism which could be used instead of the above mentioned
public static void main(String[]) method.
This specification cover the behavior and life cycle of what
we define as Java(tm) daemons, or, in other words,
non interactive Java(tm) applications.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{short_name}
%patch
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant -Dant.lib=%{javadir} -Dant.jars.pattern="" dist

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 dist/%{short_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
install -m 644 dist/bin/commons-launcher.jar $RPM_BUILD_ROOT%{javadir}/jakarta-commons-launcher-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr dist/docs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc PROPOSAL.html STATUS.html 
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-5jpp
- fix ASF license

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-4jpp
- fix missing packager tag
- get latest nightly (20030227)
- fix ant lib location for javadoc
- added common-launcher jar

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- clean up spec

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp 
- 1.0 (cvs 20020606)
- added short names in %{javadir}, as does jakarta developpers
- first jPackage release
